### Signal

# Vte Terminal::termprop-changed

since: 0.78

#### Declaration

    void
    termprop_changed (
      VteTerminal* self,
      gchar* name,
      gpointer user_data
    )

#### Description [src]

The “termprop-changed” signal is emitted when a termprop has changed or been reset.

The handler may use the vte_terminal_get_termprop_() functions (and their by-ID variants), to retrieve the value of any termprop (not just `name`); but it must not call any* other API on `terminal`, including API of its parent classes.

This signal supports detailed connections, so e.g. subscribing to “termprop-changed::name” only runs the callback when the termprop “name” has changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 0.78

#### Parameters

`name`

  Type: `gchar*`

  The name of the changed property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.